# TSK_FS_INODE_NAME_LIST Struct Reference

`#include <fs_tools.h>`

## Detailed Description

Relatively generic structure to hold file names that are stored with the file metadata.

Note that this is different from the file name stored in the directory heirarchy, which is part of the tsk_fs_dent_... code. This is currently used for NTFS and FAT file systems only.

## Data Fields

TSK_FS_INODE_NAME_LIST * | next
| Pointer to next name (or NULL).
char | name [TSK_FS_INODE_NAME_LIST_NSIZE]
| Name in UTF-8 (does not include parent directory name).
INUM_T | par_inode
| Inode address of parent directory (NTFS only).
uint32_t | par_seq
| Sequence number of parent directory (NTFS only).

The documentation for this struct was generated from the following file:

- src/fstools/fs_tools.h